## BraseroTrackImage

BraseroTrackImage

## Synopsis

                        BraseroTrackImage;
    BraseroTrackImage * brasero_track_image_new             (void);
    BraseroBurnResult   brasero_track_image_set_source      (BraseroTrackImage *track,
                                                             const gchar *image,
                                                             const gchar *toc,
                                                             BraseroImageFormat format);
    BraseroBurnResult   brasero_track_image_set_block_num   (BraseroTrackImage *track,
                                                             goffset blocks);
    gchar *             brasero_track_image_get_source      (BraseroTrackImage *track,
                                                             gboolean uri);
    gchar *             brasero_track_image_get_toc_source  (BraseroTrackImage *track,
                                                             gboolean uri);
    BraseroImageFormat  brasero_track_image_get_format      (BraseroTrackImage *track);

## Description

## Details

### BraseroTrackImage

    typedef struct {
    	BraseroTrack parent_instance;
    } BraseroTrackImage;

### brasero_track_image_new ()

    BraseroTrackImage * brasero_track_image_new             (void);

Returns : |

### brasero_track_image_set_source ()

    BraseroBurnResult   brasero_track_image_set_source      (BraseroTrackImage *track,
                                                             const gchar *image,
                                                             const gchar *toc,
                                                             BraseroImageFormat format);

`track` : |
`image` : |
`toc` : |
`format` : |
Returns : |

### brasero_track_image_set_block_num ()

    BraseroBurnResult   brasero_track_image_set_block_num   (BraseroTrackImage *track,
                                                             goffset blocks);

`track` : |
`blocks` : |
Returns : |

### brasero_track_image_get_source ()

    gchar *             brasero_track_image_get_source      (BraseroTrackImage *track,
                                                             gboolean uri);

`track` : |
`uri` : |
Returns : |

### brasero_track_image_get_toc_source ()

    gchar *             brasero_track_image_get_toc_source  (BraseroTrackImage *track,
                                                             gboolean uri);

`track` : |
`uri` : |
Returns : |

### brasero_track_image_get_format ()

    BraseroImageFormat  brasero_track_image_get_format      (BraseroTrackImage *track);

`track` : |
Returns : |